<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji getModifiedOrders.
 */

$op = $service->operationGetModifiedOrders();

/*
 * Ustawienie poszczególnych parametrów operacji.
 * Tylko dateRange jest obowiązkowy.
 */

$op->setDateRange('2013-03-01', '2013-05-01')
   ->setOrderStatus(true)->setCertificateDetails(true)->setOrderDetails(true)
   ->setPageNumber(1);

/*
 * Wywołanie operacji.
 */

if ($op->call())
    $orders = $op->getOrders();
else
    die("error");

/*
 * Przejrzenie danych zwróconych w odpowiedzi.
 * Należy zwrócić uwagę, że nie wszystkie pola odpowiedzi będą dostępne.
 * Zależy to od opcji wybranych przy żądaniu.
 */

foreach ($orders as $order) {
    if ($order->orderStatus) {
        print $order->orderStatus->customer;
        print $order->orderStatus->orderDate;
        print $order->orderStatus->orderID;
        print $order->orderStatus->orderStatus;
        print $order->orderStatus->productCode;
        print $order->orderStatus->serialNumber;
    }
    
    if ($order->orderDetails) {
        print $order->orderDetails->organizationInfo->taxIdentificationNumber;
        print $order->orderDetails->organizationInfo;
        print $order->orderDetails->requestorInfo->email;
        print $order->orderDetails->requestorInfo->firstName;
        print $order->orderDetails->requestorInfo->lastName;
        print $order->orderDetails->requestorInfo->phone;
    }
    
    if ($order->certificateDetails) {
        print $order->certificateDetails->DNSNames;
        print $order->certificateDetails->X509Cert;
        print $order->certificateDetails->certificateStatus;
        print $order->certificateDetails->commonName;
        print $order->certificateDetails->endDate;
        print $order->certificateDetails->revokedDate;
        print $order->certificateDetails->serialNumber;
        print $order->certificateDetails->startDate;
        print $order->certificateDetails->subjectName;
    }
}
