<?php
/**
 * Partner API Library
 *
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji modifySNICertificate.
 */

$op = $service->operationModifySNICertificate();

/*
 * Ustawienie poszczególnych parametrów operacji.
 * Nie wszystkie parametry są obowiązkowe.
 */

$pem = file_get_contents('/tmp/sample.pem');

$op->setSerialNumber('1234');
/* lub */
$op->setX509Cert($pem);

$op->addAddedSerialNumber('1000');
/* lub */
$op->addAddedSerialNumber(array('2000', '3000'));

$op->addRemovedSerialNumber('4000');
/* lub */
$op->addRemovedSerialNumber(array('5000', '6000'));

$op->setHashAlgorithm('RSA-SHA1');

/*
 * Wywołanie operacji.
 * Przykład użycia danych z odpowiedzi.
 */

if ($op->call()) {
	$invalidSerialNumbers = $op->getInvalidSerialNumbers();
	foreach ($invalidSerialNumbers as $number)
		print $number;
}
else
	die("error");
