<?php
/**
 * Partner API Library
 *
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji orderSNICertificate.
 */

$op = $service->operationOrderSNICertificate();

/*
 * Ustawienie poszczególnych parametrów operacji.
 * Nie wszystkie parametry są obowiązkowe.
 */

$csr = file_get_contents('/tmp/sample.csr');

$op->setCSR($csr)->setLanguage('pl')->setHashAlgorithm('RSA-SHA1');
$op->setRequestorInfo('Imie', 'Nazwisko', 'email@example.org', '11223344');
$op->setOrganizationInfo('8520006444', '+486666333777');
$op->addSerialNumber('1000');
/* lub */
$op->addSerialNumber(array('2000', '3000'));

/*
 * Wywołanie operacji.
 * Przykład użycia danych z odpowiedzi.
 */

if ($op->call()) {
	print $op->getOrderID();
	$invalidSerialNumbers = $op->getInvalidSerialNumbers();
	foreach ($invalidSerialNumbers as $number)
		print $number;
}
else
	die("error");
