<?php
/**
 * Partner API Library
 *
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
require_once 'certumPartnerAPI/types/typeBusinessCategoryEnum.php';
require_once 'certumPartnerAPI/types/typeHashAlgorithmEnum.php';
require_once 'certumPartnerAPI/types/typeVerificationMethodType.php';
require_once 'certumPartnerAPI/types/typeApproverEmailPrefixType.php';

$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji renewCertificate.
 */

$op = $service->operationRenewCertificate();

/*
 * Ustawienie poszczególnych parametrów operacji.
 */

$csr = file_get_contents('/path/to/sample.csr');

$op->setCSR($csr)->setCustomer('Nazwa klienta')->setProductCode('606');
// należy podać albo numer seryjny
$op->setSerialNumber('00:11:22:33:44:55:66:77:88:99:aa:bb:cc:dd:ee:ff');
// albo odnawiany certyfikat
$op->setX509Cert($x509cert);
// opcjonalnie można ustawić własną datę wygaśnięcia certyfikatu
$op->setShortenedValidityPeriod('2021-12-01');
// opcjonalnie można ustawić algorytm funkcji skrótu
$op->setHashAlgorithm('RSA-SHA1');
$op->setRevocationContactEmail('revocations@example.org');

/*
 * Przykład użycia metody FILE.
 */
$op->setApproverMethod(PartnerAPITypeVerificationMethodType::FILE);
$op->setApproverEmail('support@example.domain.com');

/*
 * Przykład użycia metody DNS.
 */
//$op->setApproverMethod(PartnerAPITypeVerificationMethodType::DNS);
//$op->setApproverEmail('support@example.domain.com');

/*
 * Przykład użycia metody EMAIL.
 */
//$op->setApproverMethod(PartnerAPITypeVerificationMethodType::EMAIL);
//$op->setApproverEmailPrefix(PartnerAPITypeApproverEmailPrefixType::HOSTMASTER);

$op->setVerificationNotificationEnabled(true);

/*
 * Wywołanie operacji. W odpowiedzi dostajemy id zamówienia.
 */

if ($op->call())
    $id = $op->getOrderID();
else
    die("error");

/*
 * W odpowiedzi możemy dostać również kody weryfikacyjne dla domen.
*/

if ($op->call()) {
    $id = $op->getOrderID();
    $verification = $op->getSANVerification();

    if (!is_null($verification)) {
        print $verification->approverMethod;
        print $verification->code;
        print $verification->approverEmail;
        foreach ($verification->FQDNs->getDataAsArray() as $fqdn) {
            print $fqdn;
        }
    }
} else
    die("error");
